Retrieve all FileAttachments for a given Project
curl --request GET \
--url https://api.tread-horizon.com/v1/projects/{project-id}/file_attachments \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tread-horizon.com/v1/projects/{project-id}/file_attachments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tread-horizon.com/v1/projects/{project-id}/file_attachments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"category": "Other",
"description": "<string>",
"file_attachable_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"file_url": "<string>",
"mime_type": "<string>",
"preview_url": "<string>",
"preview_mime_type": "<string>",
"uploaded_by": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tread_id": "ABC123",
"legal_name": "<string>",
"company_type": "hauler"
},
"file_name": "<string>",
"editable": true,
"deletable": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"code": "<string>",
"error_type": "<string>"
}
}{
"error": {
"code": "<string>"
}
}{
"error": {
"code": "<string>"
}
}FileAttachments
Retrieve all FileAttachments for a given Project
Retrieve all FileAttachments for a given Project
GET
/
v1
/
projects
/
{project-id}
/
file_attachments
Retrieve all FileAttachments for a given Project
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.
Example:
"en"
Path Parameters
The ID of the project you're operating on
Query Parameters
The cursor to start paginating after
The cursor to stop paginating at
The maximum number of paginated results to return
Required range:
x <= 100Response
OK
Show child attributes
Show child attributes
⌘I